Bug 1252657 - Review Request: python-bashate - A pep8 equivalent for bash scripts
Review Request: python-bashate - A pep8 equivalent for bash scripts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-11 22:47 EDT by Chandan Kumar
Modified: 2015-12-21 22:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 22:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-08-11 22:47:12 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-bashate.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-bashate-0.3.1-1.fc22.src.rpm

Description: It is a pep8 equivalent for bash scripts.
This program attempts to be an automated style checker for bash scripts
to fill the same part of code review that pep8 does in most OpenStack
projects.

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10676639
Comment 1 Parag AN(पराग) 2015-08-12 08:59:48 EDT
We recently changed Python guidelines for F22+ and EPEL7. Please look again https://fedoraproject.org/wiki/Packaging:Python and change the spec file

Add the python3 support as well as we have python3 default in Fedora 23.

Fix rpmlint warning as well. See https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_files



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 8 files have unknown license. Detailed output of licensecheck
     in /home/parag/1252657-python-bashate/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     bashate-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-bashate-0.3.1-1.fc24.noarch.rpm
          python-bashate-doc-0.3.1-1.fc24.noarch.rpm
          python-bashate-0.3.1-1.fc24.src.rpm
python-bashate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/bashate/bashate.py 644 /usr/bin/env
python-bashate.noarch: W: no-manual-page-for-binary bashate
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python-bashate.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/bashate/bashate.py 644 /usr/bin/env
python-bashate.noarch: W: no-manual-page-for-binary bashate
2 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
python-bashate-doc (rpmlib, GLIBC filtered):

python-bashate (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-babel
    python-pbr
    python-setuptools



Provides
--------
python-bashate-doc:
    python-bashate-doc

python-bashate:
    python-bashate



Source checksums
----------------
https://pypi.python.org/packages/source/b/bashate/bashate-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2398140c35fcb03249640708aa7de652f9cbe680ad6cb09074a89255f6a30419
  CHECKSUM(SHA256) upstream package : 2398140c35fcb03249640708aa7de652f9cbe680ad6cb09074a89255f6a30419
Comment 2 Upstream Release Monitoring 2015-09-30 03:12:19 EDT
chandankumar's scratch build of python-bashate-0.3.1-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11274718
Comment 3 Chandan Kumar 2015-09-30 03:13:47 EDT
Hello parag,

Thanks for the review,

Here is the updated 
SPEC : https://chandankumar.fedorapeople.org/python-bashate.spec
SRPM: https://chandankumar.fedorapeople.org/python-bashate-0.3.1-2.fc22.src.rpm

Thanks,

Chandan Kumar
Comment 4 Parag AN(पराग) 2015-09-30 07:09:23 EDT
Same here also I don't think you need to make bashate.py executable, instead remove shebang, as there is already /usr/bin/bashate wrapper script it will run bashate.py without problem.

You can remove it in end of %prep section as
sed -i -e '/^#!\//, 1d' bashate/bashate.py


Otherwise looks good.

APPROVED.
Comment 5 Chandan Kumar 2015-09-30 07:47:08 EDT
New Package SCM Request
=======================
Package Name: python-bashate
Short Description: A pep8 equivalent for bash scripts
Upstream URL:  https://pypi.python.org/pypi/bashate
Owners: chandankumar apevec
Branches: f23
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-30 09:56:21 EDT
Git done (by process-git-requests).
Comment 7 Telles Nobrega 2015-11-23 21:01:54 EST
Looks good to me.
Comment 8 Telles Nobrega 2015-12-21 21:05:42 EST
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/python-bashate
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 30 files have unknown license. Detailed output of
     licensecheck in /home/tenobreg/upstream/trove/1252657-python-
     bashate/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-bashate , python3-bashate , python-bashate-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-bashate-0.3.1-2.fc22.noarch.rpm
          python3-bashate-0.3.1-2.fc22.noarch.rpm
          python-bashate-doc-0.3.1-2.fc22.noarch.rpm
          python-bashate-0.3.1-2.fc22.src.rpm
python2-bashate.noarch: W: no-manual-page-for-binary bashate
python3-bashate.noarch: W: no-manual-page-for-binary bashate
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-bashate.noarch: W: no-manual-page-for-binary bashate
python3-bashate.noarch: W: no-manual-page-for-binary bashate
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python-bashate-doc (rpmlib, GLIBC filtered):
    python2-bashate

python2-bashate (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python3
    python(abi)
    python-babel
    python-pbr
    python-setuptools

python3-bashate (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python3
    python(abi)
    python3-babel
    python3-pbr
    python3-setuptools



Provides
--------
python-bashate-doc:
    python-bashate-doc

python2-bashate:
    python-bashate
    python2-bashate

python3-bashate:
    python3-bashate



Source checksums
----------------
https://pypi.python.org/packages/source/b/bashate/bashate-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2398140c35fcb03249640708aa7de652f9cbe680ad6cb09074a89255f6a30419
  CHECKSUM(SHA256) upstream package : 2398140c35fcb03249640708aa7de652f9cbe680ad6cb09074a89255f6a30419


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1252657
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Parag AN(पराग) 2015-12-21 22:41:17 EST
This should have been closed as already built on requested branches.

Note You need to log in before you can comment on or make changes to this bug.